Bug 292321 - running man as root broken
running man as root broken
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: man (Show other bugs)
5.0
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-16 03:24 EDT by Michael
Modified: 2008-05-02 04:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-02 04:53:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael 2007-09-16 03:24:07 EDT
Description of problem:

Running man as root returns empty man page.


Version-Release number of selected component (if applicable):

man-1.6d-1.1


How reproducible:

As root run "man ls" or browse any manual page.


Steps to Reproduce:
1. Login as root
2. Look up a manual page e.g man ls
3.
  
Actual results:

No manual page content.

Expected results:

Manual page with content.

Additional info:

Looks to be a problem with caching:

/var/cache/man/cat1/ls.1.bz2 
-r--r--r-- 1 root root 0 Sep 16 17:06 /var/cache/man/cat1/ls.1.bz2

Once NOCACHE is enabled in /etc/man.config the problem goes away.
Comment 1 Jiri Moskovcak 2007-12-18 08:52:41 EST
That's weird, I can't reproduce this bug, it works fine even with cache. Do you 
have enough free space in /var?

Jirka

Note You need to log in before you can comment on or make changes to this bug.